Kerbal Space Program - Bug #28302

EVA construction and removing Docking Port Jr can cause crafts to react violently
07/16/2021 08:43 AM - Anth12

Status: New Start date: 07/16/2021
Severity: Low % Done: 0%
Assignee:

Category: Docking

Target version:

Version: 1.12.0 Language: English (US)
Platform: Windows Mod Related: No
Expansion: Core Game

Description

KSP 1.12.1 + BG + MH

Note the video below shows that this is a combination of the following:

2 Jr docking ports need to be attached minimum

C7 Brand Adapter has its autostrut set to heaviest part

It needs a part like the The Orthogonal 5-Horn variant of the RV-105 to occur
The Vernor Engine also causes this problem

https://youtu.be/FrGwudysI6Y

However the Angled 4Horn variant of the RV-105 doesn't cause this problem to happen.
Why the RV-105 Orthogonal 5-Horn and Vernor Engine cause this to occur and the RV-105 Angled 4-Horn doesn't, | am not sure.

The RV-105 Angled 4-Horn is an older model right? The RV-105 Orthogonal 5-Horn and Vernor Engine are newer. That might be
a place to look.

Quick Save: Quick Save DP Jr Kraken Tester.sfs
Craft file: Kraken Strike Tester DPJr.craft

Additional Information: If one attaches a physical strut, then removes it then it will do the same thing as moving the docking port jr.

#28233 is how | discovered this, but its not just physical struts that are causing the issue.

History

#1 - 07/16/2021 08:46 AM - Anth12

| really should have added:

The Kerbal needs to be on the ladder of the pod for this to happen

#3 - 10/07/2022 10:14 PM - jclovis3
- File Waiting4KSP2.zip added

| can reproduce. At least while moving the Pegasus | Mobility Enhancer (fixed ladder) or cargo pods, this can happen but not always. See video:
https://youtu.be/nr-P3uTEfl4

On other ships, | moved the ladder around to different parts with no problem so | can have a stable platform to work from while attaching multiple
other parts. Its with this ship, | found a particular use case difficult to work with. Closing the game fully and reloading from persistent, then into the
tracking station to jump back to the ship does not fix this either. You have to work quickly to reattached the part somewhere to stop the unknown
forces at play.

In the attached game save, you load into the ship named "Eve Tour Taxi 4" which is only a temporary name during the completion of mission Eve
Landing Tour 4. The engineer is available for EVA out of the PPD-12 Cupola Module.

#4 - 10/07/2022 10:28 PM - Anth12

Well its been a while since someone responded to one of my bug reports.
https://youtu.be/FrGwu4ysl6Y
https://bugs.kerbalspaceprogram.com/issues/28233
https://youtu.be/nr-P3uTEfl4

Remember that the likelihood of any bug being fixed by Squad is extremely remote at this point.
